* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  -webkit-font-smoothing: antialised;
  -moz-osx-smoothing: grayscale;
}

:root {
  /* font-size: 62.5%; */
  --cor-primaria: #353872;
  --cor-secundaria: #f90;
  --cor-cinza: #727376;
  --cor-cinza-claro: #bdbfc1;
  --background-body: #e6e7e8;
}

html {
  scroll-behavior: smooth;
}

body {
  background: var(--background-body);
}

body,
input,
select {
  font-size: 16px;
  font-family: "Barlow", sans-serif;
}

#app {
  display: flex;
}

main {
  flex: 1;
}

.flex {
  display: flex;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 20px;
  background-color: #fff;
}

.header {
  display: flex;
  align-items: center;
}

.logo {
  border: 1px solid var(--cor-primaria);
  border-radius: 10px;
  padding: 20px;
  background-color: var(--background-body);
}

.title {
  background-color: var(--cor-primaria);
  flex: 1;
  color: #fff;
  font-weight: 700;
  font-size: 30px;
  text-align: center;
  height: fit-content;
  padding: 12px;
  border-radius: 0 8px 8px 0;
}

.table {
  width: 100%;
  margin-top: 30px;
  border-spacing: 6px;
  border-collapse: separate;
  text-indent: initial;
}

.table thead th {
  background-color: var(--cor-primaria);
  color: #fff;
  padding: 10px 0;
}

.table tbody {
  color: var(--cor-cinza);
}

.table tbody th {
  color: var(--cor-cinza-claro);
}

.table tbody th,
.table tbody td {
  border-bottom: 1px solid var(--cor-cinza-claro);
  padding: 5px;
}

.table th {
  width: 100px;
  text-align: -internal-center;
}

th {
  text-align: center;
}

.table td:nth-child(3) {
  text-align: center;
}

.table tr:hover {
  background-color: #f3f3f3;
  cursor: pointer;
}

.table .location {
  width: 600px;
}

sidebar {
  width: 200px;
  margin: 10px 0 0 20px;
}

.user {
  font-size: 12px;
  text-align: right;
}

.busca {
  margin-top: 30px;
}

.cidade-bairro,
.endereco {
  gap: 18px;
  margin: 18px 0;
}

input,
select {
  border: 2px solid var(--cor-primaria);
  padding: 12px 8px;
  border-radius: 8px;
  width: 50%;
}

.endereco input {
  flex: 1;
}

.regioes {
  color: var(--cor-primaria);
  gap: 8px;
  align-items: center;
}

.regioes > .flex {
  gap: 8px;
}

.regioes .regiao {
  background: var(--cor-primaria);
  color: #fff;
  padding: 8px;
  font-weight: 700;
  border-radius: 8px;
  text-decoration: none;
  transition: background 0.5s ease-in-out;
}

.regioes .regiao:hover {
  background: var(--cor-secundaria);
}

.detalhe {
  font-size: 10px;
  display: flex;
  gap: 4px;
  align-items: center;
  line-height: 24px;
}

.panel {
  background: var(--cor-primaria);
  margin-top: 20px;
  padding: 10px;
  border-radius: 10px;
  color: #fff;
  font-size: 14px;
}

.panel .title {
  display: flex;
  gap: 8px;
  align-items: center;
  font-size: 20px;
}

.panel .title h3 {
  font-size: 20px;
  margin: 0;
}

.cart {
  display: flex;
  flex-direction: column;
  gap: 8px;
  margin: 8px 0 16px;
}

.cart .item {
  font-size: 10px;
  background-color: rgba(255, 255, 255, 0.2);
  padding: 10px;
  border-radius: 8px;
  display: flex;
  align-items: center;
}

.cart .item:hover {
  font-size: 10px;
  background-color: rgba(255, 255, 255, 0.3);
  padding: 10px;
  border-radius: 8px;
  display: flex;
  align-items: center;
}

.cart .item .ph-trash {
  color: #b30e0e;
  font-size: 18px;
  background-color: #f3f3f3;
  padding: 3px;
  border-radius: 8px;
  cursor: pointer;
  transition: all 0.5s ease-in-out;
}

.cart .item .ph-trash:hover {
  color: #f3f3f3;
  background-color: #b30e0e;
}

.acoes {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.acoes .success,
.acoes .cancel {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  font-size: 12px;
  font-weight: 700;
  text-decoration: none;
  color: #fff;
  padding: 12px 8px;
  border-radius: 8px;
  text-transform: uppercase;
  transition: background 0.5s ease-in-out;
}

.acoes .success {
  background-color: #00a72a;
}

.acoes .success:hover {
  background-color: #008020;
}

.acoes .cancel {
  background-color: #777777;
}

.acoes .cancel:hover {
  background-color: #636363;
}

.acoes i {
  font-size: 20px;
}

footer {
  background-color: var(--cor-primaria);
}

footer .container {
  background-color: inherit;
  text-align: center;
  color: #fff;
  font-weight: 700;
}

.modal-dialog {
  max-width: 800px;
}

.modal .title {
  background: none;
  color: var(--cor-cinza);
  font-size: 12px;
  font-weight: 300;
  text-align: left;
  margin: 0;
  padding: 0;
  text-transform: uppercase;
}

.modal-body {
  display: flex;
  flex-direction: column;
  gap: 18px;
  padding: 20px;
}

.proximidades ul {
  margin: 0;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  row-gap: 8px;
}

.proximidades ul li {
  list-style: none;
  display: flex;
  gap: 8px;
  align-items: center;
  width: 50%;
}

.proximidades ul li::before {
  content: "";
  background: url("assets/icons/check.svg") no-repeat center center;
  background-size: contain;
  width: 16px;
  height: 16px;
}

.bisemana {
  display: flex;
  gap: 8px;
  flex-wrap: wrap;
}

.semana {
  background-color: var(--cor-cinza);
  border-radius: 8px;
  color: #fff;
  font-weight: 700;
  width: 30px;
  height: 30px;

  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.reservado {
  background: #008020;
}

.prereserva {
  background: #f90;
}

.disponivel {
  background: var(--cor-cinza);
}

.indisponivel {
  background: #b30e0e;
}

.disponivel:hover,
.selecionado {
  background-color: var(--cor-primaria);
}

.reserva {
  display: flex;
  gap: 20px;
}

.reserva .title {
  margin-bottom: 8px;
}

.modal-body .acoes {
  flex-direction: row;
}

.legenda {
  width: 400px;
}

.items-legenda {
  display: flex;
  flex-direction: column;

  color: var(--cor-cinza);
  font-size: 12px;
  font-weight: 300;
  margin: 0;
  padding: 0;
  text-transform: uppercase;
  gap: 8px;
}

.items-legenda > div {
  display: flex;
  align-items: center;

  gap: 8px;
}

.legenda .semana {
  width: 20px;
  height: 20px;
}

.galeria img{
  width: 100%;
  height: auto;
}


/*  carousel      */

.carousel-item {
	height: 100vh;
	min-height: 300px;
}
.bg-1 {
	background-image: url(img/1.jpg);
}
.bg-2 {
	background-image: url(img/2.jpg);
}
.bg-3 {
	background-image: url(img/3.jpg);
}
.bg-1, .bg-2, .bg-3 {
	-webkit-background-size: cover;
	background-size: cover;
}
.carousel-caption {
	bottom: 220px;
	z-index: 2;
}
.carousel-caption h5 {
	font-size: 85px;
	text-transform: capitalize;
	letter-spacing: 2px;
	margin-top: 25px;
	font-family: 'Moon Dance', cursive;
}
.carousel-caption p {
	width: 60%;
	margin: auto;
	font-size: 18px;
	line-height: 1.9;
}
.carousel-caption a {
	text-transform: uppercase;
	text-decoration: none;
	padding: 5px 20px;
	display: inline-block;
	color: #fff;
	margin-top: 15px;
	border-radius: 5px;
}
.carousel-inner:before {
	content: '';
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	background: rgba(0, 0, 0, 0.6);
	z-index: 1;
}
.carousel-indicators {
	bottom: 65px;
}
.carousel-indicators button {
	width: 100px !important;
}
@media only screen and (min-width: 768px) and (max-width: 991px) {
	.navbar-nav {
		text-align: center;
	}
	.navbar-collapse {
		background: #fff;
	}
	.navbar-collapse .nav-item .nav-link {
		color: #000;
	}
	.carousel-caption {
		bottom: 350px;
	}
	.carousel-caption h5 {
		font-size: 65px;
	}
	.carousel-caption p {
		font-size: 18px;
		width: 100%;
	}
}
@media only screen and (max-width: 767px) {
	.navbar-nav {
		text-align: center;
	}
	.navbar-collapse .nav-item .nav-link {
		color: #000;
	}
	.carousel-caption {
		bottom: 165px;
	}
	.carousel-caption h5 {
		font-size: 25px;
	}
	.carousel-caption p {
		font-size: 12px;
		width: 100%;
	}
	.carousel-caption a {
		padding: 10px 15px;
		font-size: 15px;
	}
	.navbar-collapse {
		background: #fff;
	}
}
